Debian Bug report logs - #441630
slim overrides locale-settings

version graph

Package: slim; Maintainer for slim is Nobuhiro Iwamatsu <iwamatsu@debian.org>; Source for slim is src:slim.

Reported by: Tino Schmidt <tinofantastico@worldonline.de>

Date: Mon, 10 Sep 2007 18:09:02 UTC

Severity: important

Tags: patch

Merged with 440862

Found in versions slim/1.2.6-1, slim/1.3.0-1

Fixed in version slim/1.3.0-2

Done: Mike Massonnet <mmassonnet@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Mike Massonnet <mmassonnet@gmail.com>:
Bug#441630; Package slim. Full text and rfc822 format available.

Acknowledgement sent to Tino Schmidt <tinofantastico@worldonline.de>:
New Bug report received and forwarded. Copy sent to Mike Massonnet <mmassonnet@gmail.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tino Schmidt <tinofantastico@worldonline.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: slim overrides locale-settings
Date: Mon, 10 Sep 2007 20:06:53 +0200
Package: slim
Version: 1.2.6-1
Severity: normal

When I start slim, it overrides the locale-settings. If it runs, the "LANG"-variable and the "LANGUAGE"-variable are empty (normally "de_DE.UTF-8" or "de_DE:de" respectively). I've added the variables at /etc/environment but there is no difference. Other displaymanager work fine.

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)

Versions of packages slim depends on:
ii  debconf [debconf-2.0]  1.5.11            Debian configuration management sy
ii  libc6                  2.3.6.ds1-13etch2 GNU C Library: Shared libraries
ii  libfontconfig1         2.4.2-1.2         generic font configuration library
ii  libfreetype6           2.2.1-5+etch1     FreeType 2 font engine, shared lib
ii  libgcc1                1:4.1.1-21        GCC support library
ii  libjpeg62              6b-13             The Independent JPEG Group's JPEG 
ii  libpng12-0             1.2.15~beta5-1    PNG library - runtime
ii  libstdc++6             4.1.1-21          The GNU Standard C++ Library v3
ii  libx11-6               2:1.0.3-7         X11 client-side library
ii  libxft2                2.1.8.2-8         FreeType-based font drawing librar
ii  libxmu6                1:1.0.2-2         X11 miscellaneous utility library
ii  libxrender1            1:0.9.1-3         X Rendering Extension client libra
ii  zlib1g                 1:1.2.3-13        compression library - runtime

slim recommends no packages.




Information forwarded to debian-bugs-dist@lists.debian.org, Mike Massonnet <mmassonnet@gmail.com>:
Bug#441630; Package slim. Full text and rfc822 format available.

Acknowledgement sent to Owen Heisler <owenh000@gmail.com>:
Extra info received and forwarded to list. Copy sent to Mike Massonnet <mmassonnet@gmail.com>. Full text and rfc822 format available.

Message #10 received at 441630@bugs.debian.org (full text, mbox):

From: Owen Heisler <owenh000@gmail.com>
To: Debian Bug Tracking System <441630@bugs.debian.org>
Subject: slim: replaces locale settings here too
Date: Wed, 03 Oct 2007 10:39:05 -0500
Package: slim
Version: 1.2.6-1
Followup-For: Bug #441630

I have the same problem here, except that the locale settings are replaced
by "POSIX", according to 'locale'.

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (990, 'stable'), (800, 'testing'), (700, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.22-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Locale using slim: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

Versions of packages slim depends on:
ii  debconf [debconf-2.0]   1.5.11           Debian configuration management sy
ii  libc6                   2.6.1-1          GNU C Library: Shared libraries
ii  libfontconfig1          2.4.2-1.2        generic font configuration library
ii  libfreetype6            2.3.5-1+b1       FreeType 2 font engine, shared lib
ii  libgcc1                 1:4.2.1-4        GCC support library
ii  libjpeg62               6b-13            The Independent JPEG Group's JPEG 
ii  libpng12-0              1.2.15~beta5-1   PNG library - runtime
ii  libstdc++6              4.2.1-4          The GNU Standard C++ Library v3
ii  libx11-6                2:1.0.3-7        X11 client-side library
ii  libxft2                 2.1.8.2-8        FreeType-based font drawing librar
ii  libxmu6                 1:1.0.2-2        X11 miscellaneous utility library
ii  libxrender1             1:0.9.1-3        X Rendering Extension client libra
ii  zlib1g                  1:1.2.3.3.dfsg-5 compression library - runtime

slim recommends no packages.

-- debconf information:
* shared/default-x-display-manager: slim




Information forwarded to debian-bugs-dist@lists.debian.org, Mike Massonnet <mmassonnet@gmail.com>:
Bug#441630; Package slim. Full text and rfc822 format available.

Acknowledgement sent to Andreas Hübner <andhu@gmx.de>:
Extra info received and forwarded to list. Copy sent to Mike Massonnet <mmassonnet@gmail.com>. Full text and rfc822 format available.

Message #15 received at 441630@bugs.debian.org (full text, mbox):

From: Andreas Hübner <andhu@gmx.de>
To: Debian Bug Tracking System <441630@bugs.debian.org>
Subject: slim: replaces locale settings
Date: Thu, 18 Oct 2007 16:19:02 +0200
Package: slim
Version: 1.2.6-1
Followup-For: Bug #441630

Same here. (locale is reset to POSIX)

Some additional info:
1. When I open a terminal with 'console' as username and log in
everything is fine.
2. After I restart slim with '/etc/init.d/slim restart' and log in
the issue is gone.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.21-2-686 (SMP w/1 CPU core)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages slim depends on:
ii  debconf [debconf-2.0]   1.5.14           Debian configuration management sy
ii  libc6                   2.6.1-1+b1       GNU C Library: Shared libraries
ii  libfontconfig1          2.4.2-1.2        generic font configuration library
ii  libfreetype6            2.3.5-1+b1       FreeType 2 font engine, shared lib
ii  libgcc1                 1:4.2.1-4        GCC support library
ii  libjpeg62               6b-14            The Independent JPEG Group's JPEG 
ii  libpng12-0              1.2.15~beta5-2   PNG library - runtime
ii  libstdc++6              4.2.1-4          The GNU Standard C++ Library v3
ii  libx11-6                2:1.0.3-7        X11 client-side library
ii  libxft2                 2.1.12-2         FreeType-based font drawing librar
ii  libxmu6                 1:1.0.3-1        X11 miscellaneous utility library
ii  libxrender1             1:0.9.4-1        X Rendering Extension client libra
ii  zlib1g                  1:1.2.3.3.dfsg-5 compression library - runtime

slim recommends no packages.

-- debconf information:
* shared/default-x-display-manager: slim




Merged 440862 441630. Request was from mmassonnet@gmail.com to control@bugs.debian.org. (Mon, 22 Oct 2007 05:36:03 GMT) Full text and rfc822 format available.

Tags added: pending Request was from mmassonnet@gmail.com to control@bugs.debian.org. (Wed, 24 Oct 2007 23:27:05 GMT) Full text and rfc822 format available.

Severity set to `important' from `normal' Request was from Nico Golde <nion@debian.org> to control@bugs.debian.org. (Sat, 09 Feb 2008 17:39:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mike Massonnet <mmassonnet@gmail.com>:
Bug#441630; Package slim. Full text and rfc822 format available.

Acknowledgement sent to Andreas Hübner <andhu@gmx.de>:
Extra info received and forwarded to list. Copy sent to Mike Massonnet <mmassonnet@gmail.com>. Full text and rfc822 format available.

Message #26 received at 441630@bugs.debian.org (full text, mbox):

From: Andreas Hübner <andhu@gmx.de>
To: Debian Bug Tracking System <441630@bugs.debian.org>
Subject: slim: still messes up some locale settings
Date: Wed, 19 Mar 2008 15:23:52 +0100
Package: slim
Version: 1.3.0-1
Followup-For: Bug #441630

reopen 441630
thank you

I still have some locale problem with slim.
My /etc/default/locale looks like this:

    #  File generated by update-locale
    LANG=de_DE.UTF-8
    LC_MESSAGES=C

After the slim login LC_MESSAGES is unset.


-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-2-686 (SMP w/1 CPU core)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages slim depends on:
ii  debconf [debconf-2.0]     1.5.19         Debian configuration management sy
ii  libc6                     2.7-6          GNU C Library: Shared libraries
ii  libgcc1                   1:4.2.2-4      GCC support library
ii  libjpeg62                 6b-14          The Independent JPEG Group's JPEG 
ii  libpam0g                  0.99.7.1-5     Pluggable Authentication Modules l
ii  libpng12-0                1.2.15~beta5-3 PNG library - runtime
ii  libstdc++6                4.2.2-4        The GNU Standard C++ Library v3
ii  libx11-6                  2:1.0.3-7      X11 client-side library
ii  libxft2                   2.1.12-2       FreeType-based font drawing librar
ii  libxmu6                   1:1.0.3-1      X11 miscellaneous utility library

slim recommends no packages.

-- debconf information:
* shared/default-x-display-manager: slim




Bug reopened, originator not changed. Request was from Andreas Hübner <andhu@gmx.de> to control@bugs.debian.org. (Wed, 19 Mar 2008 14:51:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#441630; Package slim. Full text and rfc822 format available.

Acknowledgement sent to Mike Massonnet <mmassonnet@gmail.com>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #33 received at 441630@bugs.debian.org (full text, mbox):

From: Mike Massonnet <mmassonnet@gmail.com>
To: Andreas Hübner <andhu@gmx.de>, 441630@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#441630: slim: still messes up some locale settings
Date: Wed, 19 Mar 2008 23:03:56 +0100
[Message part 1 (text/plain, inline)]
tags 441630 patch
kthxbye

On Wed, Mar 19, 2008 at 03:23:52PM +0100, Andreas Hübner wrote:
> Package: slim
> Version: 1.3.0-1
> Followup-For: Bug #441630
> 
> reopen 441630
> thank you
> 
> I still have some locale problem with slim.
> My /etc/default/locale looks like this:
> 
>     #  File generated by update-locale
>     LANG=de_DE.UTF-8
>     LC_MESSAGES=C
> 
> After the slim login LC_MESSAGES is unset.

Sorry for that, I just never thought about that situation.  Find an
attached patch for /etc/X11/Xsession.d/20slim_locale.  If it works for
you let us know, so far it worked for me.

mike
[slim-locale.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Mike Massonnet <mmassonnet@gmail.com> to control@bugs.debian.org. (Wed, 19 Mar 2008 22:03:51 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mike Massonnet <mmassonnet@gmail.com>:
Bug#441630; Package slim. Full text and rfc822 format available.

Acknowledgement sent to Andreas Hübner <andhu@gmx.de>:
Extra info received and forwarded to list. Copy sent to Mike Massonnet <mmassonnet@gmail.com>. Full text and rfc822 format available.

Message #40 received at 441630@bugs.debian.org (full text, mbox):

From: Andreas Hübner <andhu@gmx.de>
To: 441630@bugs.debian.org
Subject: Re: Bug#441630: slim: still messes up some locale settings
Date: Thu, 20 Mar 2008 00:42:21 +0100
On Wed, Mar 19, 2008 at 11:03:56PM +0100, Mike Massonnet wrote:
> Sorry for that, I just never thought about that situation.  Find an
> attached patch for /etc/X11/Xsession.d/20slim_locale.  If it works for
> you let us know, so far it worked for me.

Thanks for your quick reply.
Patch works for me, but what about the other LC_* vars not yet
mentionend in the script?
I really don't know much about locales and it seems unlikely
that they'll be set, but it is after all possible.


Somehow, while trying the patch I stumbled over another issue with slim
(Xorg crashes when I tried the special username 'console'),
but this does not belong here and I will investigate further before
I open a separate bugreport.

Andreas




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#441630; Package slim. Full text and rfc822 format available.

Acknowledgement sent to Mike Massonnet <mmassonnet@gmail.com>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #45 received at 441630@bugs.debian.org (full text, mbox):

From: Mike Massonnet <mmassonnet@gmail.com>
To: Andreas Hübner <andhu@gmx.de>, 441630@bugs.debian.org
Cc: 441630@bugs.debian.org
Subject: Re: Bug#441630: slim: still messes up some locale settings
Date: Wed, 26 Mar 2008 22:37:07 +0100
On Thu, Mar 20, 2008 at 12:42:21AM +0100, Andreas Hübner wrote:
> On Wed, Mar 19, 2008 at 11:03:56PM +0100, Mike Massonnet wrote:
> Patch works for me, but what about the other LC_* vars not yet
> mentionend in the script?
> I really don't know much about locales and it seems unlikely
> that they'll be set, but it is after all possible.

Yep, I added them all in my git.

> Somehow, while trying the patch I stumbled over another issue with slim
> (Xorg crashes when I tried the special username 'console'),
> but this does not belong here and I will investigate further before
> I open a separate bugreport.

Good catch, I remember using it in the 1.2.6 days.  I tried, and
re-tried, but it seems a regression in slim (X didn't crash however).
Followed to bug #472855.

> Andreas

Thanks,
mike




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#441630; Package slim. Full text and rfc822 format available.

Acknowledgement sent to Mike Massonnet <mmassonnet@gmail.com>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Tags added: pending Request was from Mike Massonnet <mmassonnet@gmail.com> to control@bugs.debian.org. (Sat, 13 Sep 2008 17:48:08 GMT) Full text and rfc822 format available.

Reply sent to Mike Massonnet <mmassonnet@gmail.com>:
You have taken responsibility. (Wed, 24 Sep 2008 09:57:12 GMT) Full text and rfc822 format available.

Notification sent to Tino Schmidt <tinofantastico@worldonline.de>:
Bug acknowledged by developer. (Wed, 24 Sep 2008 09:57:12 GMT) Full text and rfc822 format available.

Message #57 received at 441630-close@bugs.debian.org (full text, mbox):

From: Mike Massonnet <mmassonnet@gmail.com>
To: 441630-close@bugs.debian.org
Subject: Bug#441630: fixed in slim 1.3.0-2
Date: Wed, 24 Sep 2008 09:02:31 +0000
Source: slim
Source-Version: 1.3.0-2

We believe that the bug you reported is fixed in the latest version of
slim, which is due to be installed in the Debian FTP archive:

slim_1.3.0-2.diff.gz
  to pool/main/s/slim/slim_1.3.0-2.diff.gz
slim_1.3.0-2.dsc
  to pool/main/s/slim/slim_1.3.0-2.dsc
slim_1.3.0-2_amd64.deb
  to pool/main/s/slim/slim_1.3.0-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 441630@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mike Massonnet <mmassonnet@gmail.com> (supplier of updated slim package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 21 Sep 2008 16:15:15 +0200
Source: slim
Binary: slim
Architecture: source amd64
Version: 1.3.0-2
Distribution: unstable
Urgency: low
Maintainer: Mike Massonnet <mmassonnet@gmail.com>
Changed-By: Mike Massonnet <mmassonnet@gmail.com>
Description: 
 slim       - desktop-independent graphical login manager for X11
Closes: 441630 469401 476245 478671 484773 495029 497587 499048 499557
Changes: 
 slim (1.3.0-2) unstable; urgency=low
 .
   * Minor changes:
     - Move from dpatch to quilt.
     - Export every possible locale env-var (updated
       local/Xsession.d/20slim_locale). Closes: #441630
       Note: Test and validate the patch that uses pam instead (#476248).
     - Modifications to patches/slim-conf.patch:
       - Replace X11R6/bin with bin/X11. Closes: #469401
       - Add "default" to the start of the list of sessions. Closes: #476245
       - Set default X server option -nolisten tcp. Closes: #478671
       - Don't include the current path "." inside $PATH. Closes: #484773
       - Switch from xterm to x-terminal-emulator. Closes: #499048
         Note: now we recommend xterm at least.
     - Add patches/fix-manpage.patch, lintian spewed an error on slim.1.
     - Update clean rule to remove the .pc directory
   * New theme:
     - Add new theme debian-moreblue-orbit and set it as default. Closes: #495029
   * Update translations:
     - Portuguese. Closes: #497587
     - Turkish. Closes: #499557
Checksums-Sha1: 
 885b852bd51f7abe9f6a4f297a4d7ea130ef6ef3 1067 slim_1.3.0-2.dsc
 09abe2be75819b6235f53561da25e3520d1aa2d3 657420 slim_1.3.0-2.diff.gz
 5df2aa2ed3987ad56211c121417a8d6d0b2864b0 815494 slim_1.3.0-2_amd64.deb
Checksums-Sha256: 
 1137d784bff4528034cc17ec252ec4597e4d61a306ca19b35abcd297feb785a2 1067 slim_1.3.0-2.dsc
 77a057c552395c47514293727deea031f1f54a4fc71512b1e0300bda8f0fab59 657420 slim_1.3.0-2.diff.gz
 76cce9db5b5818b9bf0431a298a8ac858ef2df64aba6a288e60ef245450bc184 815494 slim_1.3.0-2_amd64.deb
Files: 
 02b0a505c97b14fbb9d5488b5165349d 1067 x11 optional slim_1.3.0-2.dsc
 637d4759ec8bb08c37f40230ed504b1e 657420 x11 optional slim_1.3.0-2.diff.gz
 dead5171b624d19423c0029f99178350 815494 x11 optional slim_1.3.0-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkjZ+oUACgkQTUTAIMXAW67XDQCfRxuV1Le7rPH1VXUWDyf7Cx15
Ij8AoJtjCE++F92k9VNMM4tbnol+gAtq
=8EQ8
-----END PGP SIGNATURE-----





Reply sent to Mike Massonnet <mmassonnet@gmail.com>:
You have taken responsibility. (Wed, 24 Sep 2008 09:57:13 GMT) Full text and rfc822 format available.

Notification sent to Andrzej Zięba <a-zieba@go2.pl>:
Bug acknowledged by developer. (Wed, 24 Sep 2008 09:57:13 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Mar 2009 08:26:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:58:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.